/*
 * Item
 *
 * Index
 * - List
 * - Lines
 */

/* LIST
 -------------------- */

:host {
  display: block;
  contain: content;
  list-style-type: none;
}

/* LINES
 -------------------- */

/**
 * No lines list
 */

:host(.list-lines-none) ::slotted(road-item) {
  --border-width: 0;
  --inner-border-width: 0;
}

/**
 * Full lines list
 */

:host(.list-lines-full) {
  border: 1px solid var(--road-outline);
  border-bottom: 0;
}

:host(.list-lines-full),
:host(.list-lines-full) ::slotted(road-item) {
  --border-width: 0 0 1px 0;
  --inner-border-width: 0;
}


/**
 * Inset lines list
 */

:host(.item-lines-inset),
:host(.list-lines-inset) ::slotted(road-item) {
  --inner-border-width: 0 0 1px 0;
}
